[misc] 01/01: yet another shell script to turn jenkins.debian.net's git log into a draft for the weekly blog

Holger Levsen holger at layer-acht.org
Wed Nov 29 13:40:38 UTC 2017


This is an automated email from the git hooks/post-receive script.

holger pushed a commit to branch master
in repository misc.

commit 7428a1b8120b68778c36530a05756f0d1e02992e
Author: Holger Levsen <holger at layer-acht.org>
Date:   Wed Nov 29 13:40:12 2017 +0000

    yet another shell script to turn jenkins.debian.net's git log into a draft for the weekly blog
    
    Signed-off-by: Holger Levsen <holger at layer-acht.org>
---
 parse_jenkins_work.sh | 49 +++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 49 insertions(+)

diff --git a/parse_jenkins_work.sh b/parse_jenkins_work.sh
new file mode 100755
index 0000000..2f292e4
--- /dev/null
+++ b/parse_jenkins_work.sh
@@ -0,0 +1,49 @@
+#!/bin/bash
+# Copyright 2017 Holger Levsen <holger at layer-acht.org>
+# released under the GPLv=2
+
+#
+# FIXME: this really needs more polishing....
+#
+#
+
+
+BEGIN=2017-11-19
+END=2017-11-25
+WORK=$(mktemp)
+IFS=$'\n'
+
+echo "Report for week between $BEGIN and $END."
+echo
+echo
+echo tests.reproducible-builds.org
+echo ===============================================================
+echo
+
+git log --reverse --grep reproducible -i --since $BEGIN --until $END > $WORK
+# $WORKERS are authors and signers
+WORKERS=$( ( grep Author $WORK | cut -d " " -f2- ; grep Signed-off-by $WORK | cut -d ':' -f2-| sort -u | sed -s "s#^ ##" ) | sort -u ) 
+for author in $WORKERS ; do
+	shortauthor=$(echo $author | cut -d ' ' -f1)
+	echo "* $author" | cut -d '<' -f1
+	for commit in $(git log --reverse --oneline --grep reproducible -i --author "$author" --since $BEGIN --until $END |cut -d ' ' -f1) ; do
+		echo -n "  * [$commit](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=$commit) - "
+		git log $commit -1 | egrep -v '^(Date|Author|commit|    Signed-off-by|    $|$)'
+	done
+	
+	COUNT=0
+	for j in $WORKERS ; do
+		if [ "$j" = "$author" ] ; then
+			continue
+		fi
+		MORE=$(git log --reverse --grep reproducible -i --author "$j" --since $BEGIN --until $END | grep -c "Signed-off-by: $author")
+		let COUNT+=$MORE || true
+	done
+	if [ $COUNT -gt 0 ] ; then
+		echo  "  * $shortauthor also reviewed and deployed $COUNT commits from other people."
+	fi
+	echo 
+done
+echo
+
+rm $WORK

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/reproducible/misc.git



More information about the Reproducible-commits mailing list